<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <body>

        <ui:composition template="./../WEB-INF/template/Template.xhtml">

            <ui:define name="content">


                    <h1>#{categoriaBean.editando ? 'Edição de Categoria' : 'Nova Categoria'}</h1>

                    

                    <p:toolbar style="margin-top: 20px">
                        <p:toolbarGroup>
                            <p:button value="Novo" outcome="/categoria/gerenciar" />
                            <p:commandButton value="Salvar" id="botaoSalvar"
                                             action="#{categoriaBean.salvar}" update="painel,tabela" />
                        </p:toolbarGroup>
                    </p:toolbar>

                    <p:panelGrid columns="2" id="painel" style="width: 100%; margin-top: 20px"
                                 columnClasses="rotulo, campo">
                        <p:outputLabel value="Codigo" for="codigo"/>
                        <p:inputText id="codigo" size="20" maxlength="20" value="#{categoriaBean.categoria.id == 0 ? '' : categoriaBean.categoria.id}" readonly="true" />

                        <p:outputLabel value="Descrição" for="descricao"/>
                        <p:inputText id="descricao" required="true" requiredMessage="Campo descrição é requerido." size="60" maxlength="80" value="#{categoriaBean.categoria.descricao}"/>


                    </p:panelGrid>

                    <p:dataTable id="tabela"  var="categoria" value="#{categoriaBean.lista}" emptyMessage="Nenhum Registro Encontrado.">
                        <p:column headerText="Código" style="text-align: center; width: 100px;">
                            <h:outputText value="#{categoria.id}" />
                        </p:column>

                        <p:column headerText="Descrição">
                            <h:outputText value="#{categoria.descricao}" />
                        </p:column>
                         <p:column style="width: 100px; text-align: center">


                            <p:commandButton  icon="ui-icon-pencil" title="Editar"  process="@this" update="@form">
                                <f:setPropertyActionListener target="#{categoriaBean.categoria}" value="#{categoria}" />
                            </p:commandButton>

                             <p:commandButton icon="ui-icon-trash" title="Excluir" actionListener="#{categoriaBean.excluir(categoria)}" process="@this" update="tabela" immediate="true" >
                                <p:confirm header="Confirmação" message="Deseja realmente excluir?" icon="ui-icon-alert" />
                            </p:commandButton>

                            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                <p:commandButton value="Sim" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                                <p:commandButton value="Não" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                            </p:confirmDialog>

                        </p:column>
                        
                    </p:dataTable>


               

            </ui:define>

        </ui:composition>

    </body>
</html>